package io.accumulatenetwork.sdk.generated.apiv2;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.RPCBody;
import io.accumulatenetwork.sdk.protocol.Url;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("TokenSend")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TokenSend implements RPCBody {
	private Url from;
	private TokenDeposit[] to;

    //
	public Url getFrom() {
	    return from;
	}
	public void setFrom(final Url value) {
	    this.from = value;
	}

	public TokenSend from(final Url value) {
	    setFrom(value);
	    return this;
	}
	public TokenSend from(final String value) {
	    setFrom(Url.toAccURL(value));
	    return this;
	}
	public TokenDeposit[] getTo() {
	    return to;
	}
	public void setTo(final TokenDeposit[] value) {
	    this.to = value;
	}

	public TokenSend to(final TokenDeposit[] value) {
	    setTo(value);
	    return this;
	}
}
